For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bank List

Get bank list

This API endpoint returns the list of banks based on the provided fiatType.

  • Use this bank list to display options to the user.

  • The user should select a bank from the list and provide it as the bankName field when calling the Add Fiat Account API, wherever bankName is required.

  • The Bank List is only available for the following fiat types:

    • Nigeria (countryCode: NGA, fiatType: 6, currency: NGN)

    • Brazil (countryCode: BRA, fiatType: 7, currency: BRL)

    • Peru (countryCode: PER, fiatType: 8, currency: PEN)

    • Colombia (countryCode: COL, fiatType: 9, currency: COP)

    • Chile (countryCode: CHL, fiatType: 10, currency: CLP)

    • Philippines (countryCode: PHL, fiatType: 11, currency: PHP)

    • Indonesia (countryCode: IDN, fiatType: 14, currency: IDR)

    • Argentina (countryCode: ARG, fiatType: 29, currency: ARS)

Get Bank List

POST https://api.onramp.money/onramp/api/v2/whiteLabel/bank/bankList

Request Body

Name
Type
Description

fiatType*

Number

The fiat type identifier. Fiat-Type Mapping

  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • code-> http status code

  • data -> this will contains the bank list array corresponding to given fiatType

Last updated